pcl::poisson::UpSampleData Struct Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp>`

## Public Member Functions

| UpSampleData (void)
| UpSampleData (int s, double v1, double v2)

## Public Attributes

int | start
double | v [2]

## Detailed Description

Definition at line 1472 of file multi_grid_octree_data.hpp.

## Constructor & Destructor Documentation

pcl::poisson::UpSampleData::UpSampleData | ( | void |  | ) |

inline

Definition at line 1476 of file multi_grid_octree_data.hpp.

pcl::poisson::UpSampleData::UpSampleData | ( | int | s,
|  | double | v1,
|  | double | v2
| ) |  |

inline

Definition at line 1477 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::TreeNodeData::constraint, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors, pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::neighbors, pcl::poisson::SortedTreeNodes::nodeCount, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, pcl::poisson::OctNode< NodeData, Real >::parent, pcl::poisson::TreeNodeData::pointIndex, pcl::poisson::Vector< T >::Resize(), pcl::poisson::SparseMatrix< T >::Resize(), pcl::poisson::SparseMatrix< T >::rowSizes, pcl::poisson::SparseMatrix< T >::SetRowSize(), pcl::poisson::TreeNodeData::solution, start, pcl::poisson::SortedTreeNodes::treeNodes, and v.

## Member Data Documentation

int pcl::poisson::UpSampleData::start

Definition at line 1474 of file multi_grid_octree_data.hpp.

Referenced by UpSampleData().

double pcl::poisson::UpSampleData::v[2]

Definition at line 1475 of file multi_grid_octree_data.hpp.

Referenced by UpSampleData().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp